<?php
/* M�todos de acceso a los campos de la tabla ALM_InventarioFisicoPesaje redefinidos por el usuario */
class ALM_InventarioFisicoPesajeBN extends BaseALM_InventarioFisicoPesajeBN
{
    const TIPO_DOC_REFERENCIA   = "TT";
    
    const TIPO_ID_TRANSACCION_I = "TFI";
    const TIPO_ID_TRANSACCION_E = "TFE";
    
    const TIPO_DOCUMENTO_ING      = "NI"; //TIPO DE DOCUMENTO
    const TIPO_DOCUMENTO_SAL      = "NS"; //TIPO DE DOCUMENTO
    
    public function getIdInventarioFisicoPesajeConcat()
    {
        return $this->getIdCompania()."_".$this->getIdNumeroInventario()."_".$this->getIdSecuencia()."_".$this->getIdPesaje();
    }
    
    public function getIdAlmacen()
    {
        return $this->getIdAlmacenDestino();
    }
    
    public function getIdItem()
    {
        return $this->getIdItemDestino();
    }
    
    public function getObjectAlmacen()
    {
        $o_ALM_AlmacenMastFN = new ALM_AlmacenMastFN();
        $o_ALM_AlmacenMastBN = $o_ALM_AlmacenMastFN->selectByPK( $this->getIdAlmacen() );
        return $o_ALM_AlmacenMastBN;
    }
    
    public function getObjectItem()
    {
        $o_ALM_ItemMastFN = new ALM_ItemMastFN();
        $o_ALM_ItemMastBN = $o_ALM_ItemMastFN->selectByPK( $this->getIdItem() );
        return $o_ALM_ItemMastBN;
    }
}
?>